* URL woes that never end
@ 2021-06-15 22:52 Rudolf Adamkovič
2021-06-16 13:16 ` Nicolas Goaziou
0 siblings, 1 reply; 2+ messages in thread
From: Rudolf Adamkovič @ 2021-06-15 22:52 UTC (permalink / raw)
To: emacs-orgmode
Greetings!
I lamented a while ago about URL handling in Org. To provide a concrete example, below is a shell script that Org does not export correctly to HTML. More specifically, Org considers the script to be a URL. Further, and amazingly, even if I change “see <URL>.” to “see <URL> to learn more”, Org *still* does not parse the URL correctly, even with a valid URL per RFC *and* surrounding angle brackets (<>) *and* spaces on both sides.
#+begin_src shell :tangle fetchmail-retry.sh :shebang #!/usr/bin/env sh
# fetchmail-retry.sh -- fetchmail with retry
#
# Author: Rudolf Adamkovič <salutis@me.com>
# Version: 1.0
#
# This file is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at
# your option) any later version.
#
# For more information, see <http://www.gnu.org/licenses/>.
#
RETRY=0
RETRY_MAX=10
RETURN_OK=0
RETURN_NO_MAIL=1
while [ $RETRY -le $RETRY_MAX ]
do
fetchmail "$@"
RETURN=$?
[ $RETURN -eq $RETURN_OK ] && exit $RETURN
[ $RETURN -eq $RETURN_NO_MAIL ] && exit $RETURN
RETRY=$((RETRY+1))
echo Retry \#$RETRY:
done
echo Failed after $RETRY_MAX retries. >&2
exit $RETURN
#+end_src
--
Logic is a science of the necessary laws of thought, without which no employment of the understanding and the reason takes place. -- Immanuel Kant, 1785
Rudolf Adamkovič <salutis@me.com>
Studenohorská 25
84103 Bratislava
Slovakia
[he/him]
^ permalink raw reply [flat|nested] 2+ messages in thread
* Re: URL woes that never end
2021-06-15 22:52 URL woes that never end Rudolf Adamkovič
@ 2021-06-16 13:16 ` Nicolas Goaziou
0 siblings, 0 replies; 2+ messages in thread
From: Nicolas Goaziou @ 2021-06-16 13:16 UTC (permalink / raw)
To: Rudolf Adamkovič; +Cc: emacs-orgmode
Hello,
Rudolf Adamkovič <salutis@me.com> writes:
> I lamented a while ago about URL handling in Org. To provide
> a concrete example, below is a shell script that Org does not export
> correctly to HTML. More specifically, Org considers the script to be
> a URL. Further, and amazingly, even if I change “see <URL>.” to “see
> <URL> to learn more”, Org *still* does not parse the URL correctly,
> even with a valid URL per RFC *and* surrounding angle brackets (<>)
> *and* spaces on both sides.
This seems to be an issue in htmlize package, not Org. Org does not
parse anything in a source block.
Regards,
--
Nicolas Goaziou
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2021-06-16 13:16 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-06-15 22:52 URL woes that never end Rudolf Adamkovič
2021-06-16 13:16 ` Nicolas Goaziou
Code repositories for project(s) associated with this public inbox
https://git.savannah.gnu.org/cgit/emacs/org-mode.git
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).